import React, { FunctionComponent, ReactElement, useEffect } from "react";
import { AppDispatch, AppState } from "../../store/store";
import { shallowEqual, useDispatch } from "react-redux";
import { useSelector } from "react-redux";
import { getPosts } from "../../store/posts/posts.slice";
import PostList from "../../components/PostList/PostList";


const HomePage: FunctionComponent = (): ReactElement => {
    const dispatch:AppDispatch = useDispatch()
    const {posts} = useSelector((state: AppState) => state.posts, shallowEqual)
    
    useEffect(() => {
        dispatch(getPosts())
    }, [])

    return (
        <div className="homepage">
            <div className="container">
                <PostList 
                    posts={posts}
                />
            </div>
        </div>
    )
}

export default HomePage